Package org.apache.calcite.avatica.remote

# Class MockProtobufService.MockProtobufServiceFactory

java.lang.Object
org.apache.calcite.avatica.remote.MockProtobufService.MockProtobufServiceFactory

All Implemented Interfaces:
  `Service.Factory`

Enclosing class:
  MockProtobufService

public static class MockProtobufService.MockProtobufServiceFactory extends Object implements Service.Factory
A factory that instantiates the mock protobuf service.

## Constructor Summary

Constructors
Constructor
Description
`MockProtobufServiceFactory()`

## Method Summary

Modifier and Type
Method
Description
`Service`
`create(AvaticaConnection connection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockProtobufServiceFactory

public MockProtobufServiceFactory()

## Method Details

### create

public Service create(AvaticaConnection connection)

Specified by:
  `create` in interface `Service.Factory`